Bug 1124948 - link from hypervisor host to its guests incorrectly goes to products
Summary: link from hypervisor host to its guests incorrectly goes to products
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 17:26 UTC by Tom McKay
Modified: 2016-04-22 16:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:26:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6846 None None None 2016-04-22 16:23:15 UTC

Description Tom McKay 2014-07-30 17:26:58 UTC
When displaying the link from the hypervisor to its guests, the link is to products instead of content hosts.

Comment 1 Tom McKay 2014-07-30 17:26:59 UTC
Created from redmine issue http://projects.theforeman.org/issues/6846

Comment 2 Tom McKay 2014-07-30 17:27:01 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 4 Bryan Kearney 2014-07-30 20:06:45 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6846 has been closed
-------------
Thomas McKay
Applied in changeset commit:katello|e649c1aa915988c5f7a27303d59d00288b9b09e2.

Comment 6 Bryan Kearney 2014-08-04 20:05:16 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6846 has been closed
-------------
Thomas McKay
Applied in changeset commit:katello|e649c1aa915988c5f7a27303d59d00288b9b09e2.

Comment 9 Kedar Bidarkar 2014-08-18 10:26:08 UTC
Please provide the verification steps. 

wondering "hypervisor to guests link" means exactly which page?

Comment 10 Tom McKay 2014-08-20 14:58:46 UTC
Verification steps:

1. register hypervisor
2. register hypervisor guests
3. virt-who to make associations
4. visit content host UI for hypervisor and click guest links
5. visit content host UI for guests and click host link

Comment 11 Kedar Bidarkar 2014-08-28 15:36:23 UTC
When clicking the link from the hypervisor to its guests, the link is taken to content hosts page. 

also will like state that the link from the guests, to its hosts page also takes to the right page.

But currently it lists all the content hosts available, this is another bug and will be tracked in  https://bugzilla.redhat.com/show_bug.cgi?id=1114730

Current workaround, just refresh the content-hosts page.

Tested with sat6-GA-snap6-compose3.

Installed Packages

    candlepin-0.9.23-1.el6_5.noarch
    candlepin-common-1.0.1-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.23-1.el6_5.noarch
    candlepin-tomcat6-0.9.23-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-6.el6sat.noarch
    katello-1.5.0-29.el6sat.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-default-ca-1.0-1.noarch
    katello-installer-0.0.61-1.el6sat.noarch
    katello-server-ca-1.0-1.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-37.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-37.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-85.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch
    rubygem-smart_proxy_pulp-1.0.1-1.1.el6sat.noarch

Comment 12 Bryan Kearney 2014-09-11 12:26:58 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.